org.bouncycastle.asn1.tsp

## Class TimeStampResp

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.tsp.TimeStampResp

All Implemented Interfaces:
  DEREncodable

    public class TimeStampResp
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`TimeStampResp(ASN1Sequence seq)`
`TimeStampResp(PKIStatusInfo pkiStatusInfo, ContentInfo timeStampToken)`

### Method Summary

Methods
`static TimeStampResp` `getInstance(java.lang.Object o)`
`PKIStatusInfo` `getStatus()`
`ContentInfo` `getTimeStampToken()`
`DERObject` `toASN1Object()` TimeStampResp ::= SEQUENCE { status PKIStatusInfo, timeStampToken TimeStampToken OPTIONAL }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeStampResp

    public TimeStampResp(ASN1Sequence seq)

#### TimeStampResp

    public TimeStampResp(PKIStatusInfo pkiStatusInfo,
                 ContentInfo timeStampToken)

### Method Detail

#### getInstance

    public static TimeStampResp getInstance(java.lang.Object o)

#### getStatus

    public PKIStatusInfo getStatus()

#### getTimeStampToken

    public ContentInfo getTimeStampToken()

#### toASN1Object

    public DERObject toASN1Object()

     TimeStampResp ::= SEQUENCE  {
       status                  PKIStatusInfo,
       timeStampToken          TimeStampToken     OPTIONAL  }

Specified by:
  `toASN1Object` in class `ASN1Encodable`